---
title: "v1.7 release"
linkTitle: "v1.7 release"
author: "[Matthias Wessendorf (Red Hat)](https://twitter.com/matzew) and [Dave Protasowski (VMWare)](https://github.com/dprotaso)"
author handle: https://github.com/matzew and https://github.com/dprotaso
date: 2022-08-25
description: "Knative v1.7 release announcement"
type: "blog"
---

# Announcing Knative 1.7 Release

A new version of Knative is now available across multiple components.

Follow the instructions in [Installing Knative](https://knative.dev/docs/install/) to install the components you require.

This release brings a number of smaller improvements to the core Knative Serving and Eventing components, and several improvements to specific plugins, in particular `net-kourier`, `net-gateway-api`, and `eventing-rabbitmq`.

## Table of Contents
- [Serving](#serving)
- [Eventing](#eventing)
- [`kn` CLI](#client)
- [Knative Operator](#operator)
- [Networking Extensions](#networking-extensions)
    - [Kourier plugin](#kourier-plugin)
- [Eventing Extensions](#eventing-extensions)
    - [Apache Kafka Broker and Source](#apache-kafka-broker-and-source)
- [Thank you contributors](#thank-you-contributors)

## Serving

[Release Notes](https://github.com/knative/serving/releases/tag/knative-v1.7.1)

### 💫 New Features & Changes

- Adds a `autoscaling.knative.dev/activation-scale` annotation that allows the user to set a minimum number of replicas when not scaled to zero. Note that the initial target scale for a revision is still handled by `initial-scale`; `activation-scale` will only apply on subsequent scales from zero. [#13161](https://github.com/knative/serving/pull/13161)

### 🐞Bug Fixes

- Readiness probes no longer fail if the user container is restarted (due to a liveness probe failure). [#13229](https://github.com/knative/serving/pull/13229)

## Eventing

[Release Notes](https://github.com/knative/eventing/releases/tag/knative-v1.7.1)

### 💫 New Features & Changes

- Traces generated by ApiServerSource includes some k8s attributes. [#6458](https://github.com/knative/eventing/pull/6458)
- The delivery timeout feature is now beta and enabled by default. [#6472](https://github.com/knative/eventing/pull/6472)
- The strict subscriber feature for Subscription API is now beta and enabled by default.
  When the reply field is specified without a subscriber, the reply field won't be used as a subscriber by default. [#6473](https://github.com/knative/eventing/pull/6473)

## Client

[Release Notes](https://github.com/knative/client/releases/tag/knative-v1.7.0)

### 🐞Bug Fixes

- Fix mounted PVC not to be created as read-only. [#1709](https://github.com/knative/client/pull/1709)

## Operator

[Release Notes](https://github.com/knative/operator/releases/tag/knative-v1.7.0)

## Networking Extensions

### kourier plugin

#### 💫 New Features & Changes

* The timeout can be configured via stream-idle-timeout in config-kourier, the default value is set to "infinity" which means there is no timeout.  Users can change this value in config-kourier with decimal numbers plus a unit suffix such as "ns", "us" (or "µs"), "ms", "s", "m", "h". [#878](https://github.com/knative-extensions/net-kourier/pull/878)

## Eventing Extensions

### Apache Kafka Broker and Source

#### 💫 New Features & Changes

* Changed partition strategy for rebalancing from default (`RangeAssignor`) to `StickyAssignor` . [#2299](https://github.com/knative-extensions/eventing-kafka-broker/pull/2299)
* Failed events are now decorated with Knative error extensions when routed to the `deadLetterSink` for more context. [#2374](https://github.com/knative-extensions/eventing-kafka-broker/pull/2374)

#### 🐞 Bug Fixes

* Kafka Broker and KafkaSink ignore a trailing slash in the HTTP path. [#2462](https://github.com/knative-extensions/eventing-kafka-broker/pull/2462)


## Thank you, contributors

#### Release Leads:

- [@dprotaso](https://github.com/dprotaso)
- [@matzew](https://github.com/matzew)

#### Contributors:

- [@aavarghese](https://github.com/aavarghese)
- [@egorlepa](https://github.com/egorlepa)
- [@dprotaso](https://github.com/dprotaso)
- [@dsimansk](https://github.com/dsimansk)
- [@houshengbo](https://github.com/houshengbo)
- [@liuchangyan](https://github.com/liuchangyan)
- [@pierdipi](https://github.com/pierdipi)
- [@psschwei](https://github.com/psschwei)
- [@xxinran](https://github.com/xxinran)

## Learn more

Knative is an open source project that anyone in the [community](https://knative.dev/docs/community/) can use, improve, and enjoy. We'd love you to join us!

- [Knative docs](https://knative.dev/docs)
- [Quickstart tutorial](https://knative.dev/docs/getting-started)
- [Samples](https://knative.dev/docs/samples)
- [Knative Working Groups](https://github.com/knative/community/blob/main/working-groups/WORKING-GROUPS.md)
- [Knative User Mailing List](https://groups.google.com/forum/#!forum/knative-users)
- [Knative Development Mailing List](https://groups.google.com/forum/#!forum/knative-dev)
- Knative on Twitter [@KnativeProject](https://twitter.com/KnativeProject)
- Knative on [StackOverflow](https://stackoverflow.com/questions/tagged/knative)
- Knative [Slack](https://slack.knative.dev)
- Knative on [YouTube](https://www.youtube.com/channel/UCq7cipu-A1UHOkZ9fls1N8A)
